curl --request GET \
--url https://api.beamlearning.io/agent-graphs/{agentId}/nodes/{nodeId} \
--header 'Authorization: Bearer <token>' \
--header 'current-workspace-id: <current-workspace-id>'{
"evaluationCriteria": [
"<string>"
],
"toolConfiguration": {
"toolFunctionName": "fetchCustomerData",
"inputParams": [
{
"id": "param-123e4567-e89b-12d3-a456-426614174000",
"paramName": "customerId",
"fillType": "ai_fill",
"agentToolConfigurationId": "config-123e4567-e89b-12d3-a456-426614174000",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"linkOutputParam": {
"id": "param-123e4567-e89b-12d3-a456-426614174000",
"agentToolConfigurationId": "config-123e4567-e89b-12d3-a456-426614174000",
"isArray": false,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"paramName": "customerData",
"position": 1,
"paramDescription": "The customer data retrieved from the database.",
"parentId": "<string>",
"paramPath": "response.data.customer",
"outputExample": "{\"name\": \"John Doe\", \"email\": \"john@example.com\"}",
"dataType": "string",
"typeOptions": {}
},
"position": 1,
"question": "What is the customer ID?",
"linkParamOutputId": "<string>",
"paramDescription": "The unique identifier for the customer record.",
"paramTip": "Enter the 8-digit customer ID from their account.",
"staticValue": "default_value",
"required": true,
"dataType": "string",
"outputExample": "CUST-12345678",
"reloadProps": false,
"remoteOptions": false,
"options": [
{
"label": "<string>",
"value": "<string>"
}
]
}
],
"agentId": "agent-123e4567-e89b-12d3-a456-426614174000",
"outputParams": [
{
"id": "param-123e4567-e89b-12d3-a456-426614174000",
"agentToolConfigurationId": "config-123e4567-e89b-12d3-a456-426614174000",
"isArray": false,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"paramName": "customerData",
"position": 1,
"paramDescription": "The customer data retrieved from the database.",
"parentId": "<string>",
"paramPath": "response.data.customer",
"outputExample": "{\"name\": \"John Doe\", \"email\": \"john@example.com\"}",
"dataType": "string",
"typeOptions": {}
}
],
"originalTool": {
"toolFunctionName": "<string>",
"toolName": "<string>",
"type": "beam_tool",
"meta": {
"tool_name": "<string>",
"function_name": "<string>",
"requires_consent": true,
"requires_translation": true,
"description": "<string>",
"required_extracted_args": [
"<string>"
],
"content": "<string>",
"prompt": "<string>",
"type": "beam_tool",
"isActive": true,
"integration_provider_details": {
"request": {
"endpoint": "<string>",
"method": "<string>",
"query": [
"<string>"
],
"body": {},
"bypassTLS": true
},
"response": {}
},
"agent_category": {
"id": "<string>",
"title": "<string>"
},
"payload": "<string>",
"optional_extracted_args": [
"<string>"
],
"integrationIdentifier": "<string>",
"categories": [
"<string>"
],
"icon_src": "<string>",
"integration_provider_auth": "<string>",
"integration_provider_executor": "<string>",
"preferred_model": "<string>",
"integration_id": "<string>",
"apiKeyType": "<string>",
"parameter": "<string>",
"tool_category_id": "<string>",
"agent_categories": [
"<string>"
],
"required_generated_args": [
"<string>"
],
"optional_generated_args": [
"<string>"
],
"is_memory_tool": true,
"memory_lookup_instruction": "<string>",
"workspace_id": "<string>"
},
"requiresConsent": true,
"isBackgroundTool": true,
"isActive": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"iconSrc": "<string>",
"isVisibleOnUi": true,
"integrationId": "<string>",
"outputId": "<string>",
"prompt": "<string>",
"inputParams": [
{
"paramName": "customerId",
"fillType": "ai_fill",
"position": 1,
"question": "What is the customer ID?",
"linkParams": {
"toolId": "<string>",
"toolFunctionName": "<string>",
"outputParam": "<string>",
"outputId": "<string>"
},
"linkParamOutputId": "<string>",
"paramDescription": "The unique identifier for the customer record.",
"paramTip": "Enter the 8-digit customer ID from their account.",
"staticValue": "default_value",
"required": true,
"dataType": "string",
"isArray": false,
"typeOptions": {},
"outputExample": "CUST-12345678",
"reloadProps": false,
"remoteOptions": false,
"options": [
{
"label": "<string>",
"value": "<string>"
}
]
}
],
"isMemoryTool": true,
"memoryLookupInstruction": "<string>",
"outputParams": [
{
"position": 123,
"paramName": "<string>",
"paramDescription": "<string>",
"id": "<string>",
"agentToolConfigurationId": "<string>",
"dataType": "string",
"isArray": true,
"typeOptions": {},
"parentId": "<string>",
"paramPath": "<string>",
"outputExample": "<string>"
}
],
"isBatchExecutionEnabled": true,
"isCodeExecutionEnabled": true,
"description": "<string>",
"workspaceId": "<string>",
"userId": "<string>",
"agentId": "<string>",
"httpMethod": "post",
"url": "<string>",
"isAvailableToWorkspace": true,
"preferredModel": "<string>",
"shortDescription": "<string>",
"isSharable": true,
"systemIntegrationIdentifier": "<string>",
"apiKeyType": "<string>",
"parameter": "<string>",
"queryParams": [
{
"key": "<string>",
"parameterHint": "<string>",
"required": true,
"type": "<string>"
}
],
"bodyParams": [
{
"key": "<string>",
"parameterHint": "<string>",
"type": "<string>",
"required": true
}
],
"urlParams": [
{
"key": "<string>",
"parameterHint": "<string>",
"required": true,
"type": "<string>"
}
],
"deletedAt": "2023-11-07T05:31:56Z",
"toolConfigurations": "<array>",
"questions": [
{
"id": "<string>",
"question": "<string>",
"keywordInPrompt": "<string>"
}
],
"isIntegrationRequired": false,
"isIntegrationConnected": false,
"integrationProvider": "<string>",
"integrationIdentifier": "<string>",
"integrationCustomAuthParameters": {},
"embedding": "<string>",
"integration": {
"id": "<string>",
"type": "integration",
"provider": {
"userId": "<string>",
"credentialId": "<string>",
"connectionName": "<string>",
"integration": "<string>",
"status": "<string>",
"isOAuth2": true,
"provider": "custom",
"workspace": "<string>",
"tokenExpiresIn": 123,
"credentials": {},
"isDefault": true,
"creator": {
"name": "John Doe",
"email": "<string>",
"cognitoUserId": "<string>",
"role_name": "<string>",
"isInternalUser": true,
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"avatarSrc": "https://example.com/avatars/user123.png",
"socialProvider": "<string>",
"socialProviderId": "<string>",
"password": "<string>",
"paymentProviderCustomerId": "<string>",
"rememberToken": "<string>",
"emailVerified": true,
"referralCode": "<string>"
},
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"integrationId": "<string>"
},
"providers": [
{
"userId": "<string>",
"credentialId": "<string>",
"connectionName": "<string>",
"integration": "<string>",
"status": "<string>",
"isOAuth2": true,
"provider": "custom",
"workspace": "<string>",
"tokenExpiresIn": 123,
"credentials": {},
"isDefault": true,
"creator": {
"name": "John Doe",
"email": "<string>",
"cognitoUserId": "<string>",
"role_name": "<string>",
"isInternalUser": true,
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"avatarSrc": "https://example.com/avatars/user123.png",
"socialProvider": "<string>",
"socialProviderId": "<string>",
"password": "<string>",
"paymentProviderCustomerId": "<string>",
"rememberToken": "<string>",
"emailVerified": true,
"referralCode": "<string>"
},
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"integrationId": "<string>"
}
],
"integrationCategory": {
"title": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"actions": [
{
"toolFunctionName": "<string>",
"toolName": "<string>",
"type": "beam_tool",
"meta": {
"tool_name": "<string>",
"function_name": "<string>",
"requires_consent": true,
"requires_translation": true,
"description": "<string>",
"required_extracted_args": [
"<string>"
],
"content": "<string>",
"prompt": "<string>",
"type": "beam_tool",
"isActive": true,
"integration_provider_details": {
"request": {
"endpoint": "<string>",
"method": "<string>",
"query": [
"<string>"
],
"body": {},
"bypassTLS": true
},
"response": {}
},
"agent_category": {
"id": "<string>",
"title": "<string>"
},
"payload": "<string>",
"optional_extracted_args": [
"<string>"
],
"integrationIdentifier": "<string>",
"categories": [
"<string>"
],
"icon_src": "<string>",
"integration_provider_auth": "<string>",
"integration_provider_executor": "<string>",
"preferred_model": "<string>",
"integration_id": "<string>",
"apiKeyType": "<string>",
"parameter": "<string>",
"tool_category_id": "<string>",
"agent_categories": [
"<string>"
],
"required_generated_args": [
"<string>"
],
"optional_generated_args": [
"<string>"
],
"is_memory_tool": true,
"memory_lookup_instruction": "<string>",
"workspace_id": "<string>"
},
"requiresConsent": true,
"isBackgroundTool": true,
"isActive": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"iconSrc": "<string>",
"isVisibleOnUi": true,
"integrationId": "<string>",
"outputId": "<string>",
"prompt": "<string>",
"inputParams": [
{
"paramName": "customerId",
"fillType": "ai_fill",
"position": 1,
"question": "What is the customer ID?",
"linkParams": {
"toolId": "<string>",
"toolFunctionName": "<string>",
"outputParam": "<string>",
"outputId": "<string>"
},
"linkParamOutputId": "<string>",
"paramDescription": "The unique identifier for the customer record.",
"paramTip": "Enter the 8-digit customer ID from their account.",
"staticValue": "default_value",
"required": true,
"dataType": "string",
"isArray": false,
"typeOptions": {},
"outputExample": "CUST-12345678",
"reloadProps": false,
"remoteOptions": false,
"options": [
{
"label": "<string>",
"value": "<string>"
}
]
}
],
"isMemoryTool": true,
"memoryLookupInstruction": "<string>",
"outputParams": [
{
"position": 123,
"paramName": "<string>",
"paramDescription": "<string>",
"id": "<string>",
"agentToolConfigurationId": "<string>",
"dataType": "string",
"isArray": true,
"typeOptions": {},
"parentId": "<string>",
"paramPath": "<string>",
"outputExample": "<string>"
}
],
"isBatchExecutionEnabled": true,
"isCodeExecutionEnabled": true,
"description": "<string>",
"workspaceId": "<string>",
"userId": "<string>",
"agentId": "<string>",
"httpMethod": "post",
"url": "<string>",
"isAvailableToWorkspace": true,
"preferredModel": "<string>",
"shortDescription": "<string>",
"isSharable": true,
"systemIntegrationIdentifier": "<string>",
"apiKeyType": "<string>",
"parameter": "<string>",
"queryParams": [
{
"key": "<string>",
"parameterHint": "<string>",
"required": true,
"type": "<string>"
}
],
"bodyParams": [
{
"key": "<string>",
"parameterHint": "<string>",
"type": "<string>",
"required": true
}
],
"urlParams": [
{
"key": "<string>",
"parameterHint": "<string>",
"required": true,
"type": "<string>"
}
],
"deletedAt": "2023-11-07T05:31:56Z",
"toolConfigurations": "<array>",
"questions": [
{
"id": "<string>",
"question": "<string>",
"keywordInPrompt": "<string>"
}
],
"embedding": "<string>",
"integration": "<unknown>",
"toolConfiguration": "<unknown>"
}
],
"name": "<string>",
"description": "<string>",
"systemIntegrationIdentifier": "<string>",
"integrationCategoryId": "<string>",
"iconSrc": "<string>",
"userId": "<string>",
"workspaceId": "<string>",
"privacyPolicyUrl": "<string>",
"shortDescription": "<string>",
"longDescription": "<string>",
"systemIntegrationProvider": "<string>",
"customAuthParameters": {},
"category": "<string>",
"authenticationMeta": {
"clientId": "<string>",
"clientSecret": "<string>",
"authorizationUrl": "<string>",
"accessTokenUrl": "<string>",
"refreshTokenUrl": "<string>",
"scopes": [
"<string>"
],
"apiKeyType": "default",
"grantType": "client_credentials",
"parameter": "<string>",
"clientAuthentication": "headers",
"customOAuthUrl": "<string>"
},
"syncModels": {},
"isPublished": true,
"attributes": {},
"status": "<string>",
"customHeaders": {},
"authType": "<string>"
},
"toolConfiguration": "<unknown>"
},
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"integrationProviderId": "provider-123e4567-e89b-12d3-a456-426614174000",
"outputParamsData": [
{
"position": 123,
"paramName": "<string>",
"paramDescription": "<string>",
"id": "<string>",
"agentToolConfigurationId": "<string>",
"dataType": "string",
"isArray": true,
"typeOptions": {},
"parentId": "<string>",
"paramPath": "<string>",
"outputExample": "<string>"
}
],
"inputParamsData": [
{
"paramName": "customerId",
"fillType": "ai_fill",
"position": 1,
"question": "What is the customer ID?",
"linkParams": {
"toolId": "<string>",
"toolFunctionName": "<string>",
"outputParam": "<string>",
"outputId": "<string>"
},
"linkParamOutputId": "<string>",
"paramDescription": "The unique identifier for the customer record.",
"paramTip": "Enter the 8-digit customer ID from their account.",
"staticValue": "default_value",
"required": true,
"dataType": "string",
"isArray": false,
"typeOptions": {},
"outputExample": "CUST-12345678",
"reloadProps": false,
"remoteOptions": false,
"options": [
{
"label": "<string>",
"value": "<string>"
}
]
}
],
"requiresConsent": false,
"isBackgroundTool": false,
"isMemoryTool": false,
"isBatchExecutionEnabled": false,
"isCodeExecutionEnabled": false,
"accuracyScore": 0.95,
"memoryLookupInstruction": "Retrieve customer records matching the provided email address.",
"fallbackModels": "DEEP_SEEK,BEDROCK_CLAUDE_3_7_SONNET,BEDROCK_CLAUDE_OPUS_4_5",
"dynamicPropsId": "<string>"
},
"objective": "<string>",
"customId": "<string>",
"isExitNode": true,
"isEntryNode": true,
"agentGraphId": "<string>",
"onError": "CONTINUE",
"isEvaluationEnabled": true,
"autoRetryWhenAccuracyLessThan": 123,
"autoRetryLimitWhenAccuracyIsLow": 123,
"enableAutoRetryWhenAccuracyIsLow": true,
"enableAutoRetryWhenFailure": true,
"autoRetryCountWhenFailure": 123,
"autoRetryWaitTimeWhenFailureInMs": 123,
"isAttachmentDataPulledIn": true,
"saveAsVersion": true,
"isEdited": true,
"isActiveNodeVersion": true,
"autoRetryDescription": "<string>",
"enableAutoRetryDescription": true,
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"agentToolConfigurationId": "<string>",
"xCoordinate": 123,
"yCoordinate": 123,
"userId": "<string>"
}Retrieves comprehensive details of a specific node within an agent graph, including its tool configuration, input/output parameters, position coordinates, and execution settings. The node must belong to a graph associated with the specified agent in the current workspace.
curl --request GET \
--url https://api.beamlearning.io/agent-graphs/{agentId}/nodes/{nodeId} \
--header 'Authorization: Bearer <token>' \
--header 'current-workspace-id: <current-workspace-id>'{
"evaluationCriteria": [
"<string>"
],
"toolConfiguration": {
"toolFunctionName": "fetchCustomerData",
"inputParams": [
{
"id": "param-123e4567-e89b-12d3-a456-426614174000",
"paramName": "customerId",
"fillType": "ai_fill",
"agentToolConfigurationId": "config-123e4567-e89b-12d3-a456-426614174000",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"linkOutputParam": {
"id": "param-123e4567-e89b-12d3-a456-426614174000",
"agentToolConfigurationId": "config-123e4567-e89b-12d3-a456-426614174000",
"isArray": false,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"paramName": "customerData",
"position": 1,
"paramDescription": "The customer data retrieved from the database.",
"parentId": "<string>",
"paramPath": "response.data.customer",
"outputExample": "{\"name\": \"John Doe\", \"email\": \"john@example.com\"}",
"dataType": "string",
"typeOptions": {}
},
"position": 1,
"question": "What is the customer ID?",
"linkParamOutputId": "<string>",
"paramDescription": "The unique identifier for the customer record.",
"paramTip": "Enter the 8-digit customer ID from their account.",
"staticValue": "default_value",
"required": true,
"dataType": "string",
"outputExample": "CUST-12345678",
"reloadProps": false,
"remoteOptions": false,
"options": [
{
"label": "<string>",
"value": "<string>"
}
]
}
],
"agentId": "agent-123e4567-e89b-12d3-a456-426614174000",
"outputParams": [
{
"id": "param-123e4567-e89b-12d3-a456-426614174000",
"agentToolConfigurationId": "config-123e4567-e89b-12d3-a456-426614174000",
"isArray": false,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"paramName": "customerData",
"position": 1,
"paramDescription": "The customer data retrieved from the database.",
"parentId": "<string>",
"paramPath": "response.data.customer",
"outputExample": "{\"name\": \"John Doe\", \"email\": \"john@example.com\"}",
"dataType": "string",
"typeOptions": {}
}
],
"originalTool": {
"toolFunctionName": "<string>",
"toolName": "<string>",
"type": "beam_tool",
"meta": {
"tool_name": "<string>",
"function_name": "<string>",
"requires_consent": true,
"requires_translation": true,
"description": "<string>",
"required_extracted_args": [
"<string>"
],
"content": "<string>",
"prompt": "<string>",
"type": "beam_tool",
"isActive": true,
"integration_provider_details": {
"request": {
"endpoint": "<string>",
"method": "<string>",
"query": [
"<string>"
],
"body": {},
"bypassTLS": true
},
"response": {}
},
"agent_category": {
"id": "<string>",
"title": "<string>"
},
"payload": "<string>",
"optional_extracted_args": [
"<string>"
],
"integrationIdentifier": "<string>",
"categories": [
"<string>"
],
"icon_src": "<string>",
"integration_provider_auth": "<string>",
"integration_provider_executor": "<string>",
"preferred_model": "<string>",
"integration_id": "<string>",
"apiKeyType": "<string>",
"parameter": "<string>",
"tool_category_id": "<string>",
"agent_categories": [
"<string>"
],
"required_generated_args": [
"<string>"
],
"optional_generated_args": [
"<string>"
],
"is_memory_tool": true,
"memory_lookup_instruction": "<string>",
"workspace_id": "<string>"
},
"requiresConsent": true,
"isBackgroundTool": true,
"isActive": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"iconSrc": "<string>",
"isVisibleOnUi": true,
"integrationId": "<string>",
"outputId": "<string>",
"prompt": "<string>",
"inputParams": [
{
"paramName": "customerId",
"fillType": "ai_fill",
"position": 1,
"question": "What is the customer ID?",
"linkParams": {
"toolId": "<string>",
"toolFunctionName": "<string>",
"outputParam": "<string>",
"outputId": "<string>"
},
"linkParamOutputId": "<string>",
"paramDescription": "The unique identifier for the customer record.",
"paramTip": "Enter the 8-digit customer ID from their account.",
"staticValue": "default_value",
"required": true,
"dataType": "string",
"isArray": false,
"typeOptions": {},
"outputExample": "CUST-12345678",
"reloadProps": false,
"remoteOptions": false,
"options": [
{
"label": "<string>",
"value": "<string>"
}
]
}
],
"isMemoryTool": true,
"memoryLookupInstruction": "<string>",
"outputParams": [
{
"position": 123,
"paramName": "<string>",
"paramDescription": "<string>",
"id": "<string>",
"agentToolConfigurationId": "<string>",
"dataType": "string",
"isArray": true,
"typeOptions": {},
"parentId": "<string>",
"paramPath": "<string>",
"outputExample": "<string>"
}
],
"isBatchExecutionEnabled": true,
"isCodeExecutionEnabled": true,
"description": "<string>",
"workspaceId": "<string>",
"userId": "<string>",
"agentId": "<string>",
"httpMethod": "post",
"url": "<string>",
"isAvailableToWorkspace": true,
"preferredModel": "<string>",
"shortDescription": "<string>",
"isSharable": true,
"systemIntegrationIdentifier": "<string>",
"apiKeyType": "<string>",
"parameter": "<string>",
"queryParams": [
{
"key": "<string>",
"parameterHint": "<string>",
"required": true,
"type": "<string>"
}
],
"bodyParams": [
{
"key": "<string>",
"parameterHint": "<string>",
"type": "<string>",
"required": true
}
],
"urlParams": [
{
"key": "<string>",
"parameterHint": "<string>",
"required": true,
"type": "<string>"
}
],
"deletedAt": "2023-11-07T05:31:56Z",
"toolConfigurations": "<array>",
"questions": [
{
"id": "<string>",
"question": "<string>",
"keywordInPrompt": "<string>"
}
],
"isIntegrationRequired": false,
"isIntegrationConnected": false,
"integrationProvider": "<string>",
"integrationIdentifier": "<string>",
"integrationCustomAuthParameters": {},
"embedding": "<string>",
"integration": {
"id": "<string>",
"type": "integration",
"provider": {
"userId": "<string>",
"credentialId": "<string>",
"connectionName": "<string>",
"integration": "<string>",
"status": "<string>",
"isOAuth2": true,
"provider": "custom",
"workspace": "<string>",
"tokenExpiresIn": 123,
"credentials": {},
"isDefault": true,
"creator": {
"name": "John Doe",
"email": "<string>",
"cognitoUserId": "<string>",
"role_name": "<string>",
"isInternalUser": true,
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"avatarSrc": "https://example.com/avatars/user123.png",
"socialProvider": "<string>",
"socialProviderId": "<string>",
"password": "<string>",
"paymentProviderCustomerId": "<string>",
"rememberToken": "<string>",
"emailVerified": true,
"referralCode": "<string>"
},
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"integrationId": "<string>"
},
"providers": [
{
"userId": "<string>",
"credentialId": "<string>",
"connectionName": "<string>",
"integration": "<string>",
"status": "<string>",
"isOAuth2": true,
"provider": "custom",
"workspace": "<string>",
"tokenExpiresIn": 123,
"credentials": {},
"isDefault": true,
"creator": {
"name": "John Doe",
"email": "<string>",
"cognitoUserId": "<string>",
"role_name": "<string>",
"isInternalUser": true,
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"avatarSrc": "https://example.com/avatars/user123.png",
"socialProvider": "<string>",
"socialProviderId": "<string>",
"password": "<string>",
"paymentProviderCustomerId": "<string>",
"rememberToken": "<string>",
"emailVerified": true,
"referralCode": "<string>"
},
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"integrationId": "<string>"
}
],
"integrationCategory": {
"title": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"actions": [
{
"toolFunctionName": "<string>",
"toolName": "<string>",
"type": "beam_tool",
"meta": {
"tool_name": "<string>",
"function_name": "<string>",
"requires_consent": true,
"requires_translation": true,
"description": "<string>",
"required_extracted_args": [
"<string>"
],
"content": "<string>",
"prompt": "<string>",
"type": "beam_tool",
"isActive": true,
"integration_provider_details": {
"request": {
"endpoint": "<string>",
"method": "<string>",
"query": [
"<string>"
],
"body": {},
"bypassTLS": true
},
"response": {}
},
"agent_category": {
"id": "<string>",
"title": "<string>"
},
"payload": "<string>",
"optional_extracted_args": [
"<string>"
],
"integrationIdentifier": "<string>",
"categories": [
"<string>"
],
"icon_src": "<string>",
"integration_provider_auth": "<string>",
"integration_provider_executor": "<string>",
"preferred_model": "<string>",
"integration_id": "<string>",
"apiKeyType": "<string>",
"parameter": "<string>",
"tool_category_id": "<string>",
"agent_categories": [
"<string>"
],
"required_generated_args": [
"<string>"
],
"optional_generated_args": [
"<string>"
],
"is_memory_tool": true,
"memory_lookup_instruction": "<string>",
"workspace_id": "<string>"
},
"requiresConsent": true,
"isBackgroundTool": true,
"isActive": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"iconSrc": "<string>",
"isVisibleOnUi": true,
"integrationId": "<string>",
"outputId": "<string>",
"prompt": "<string>",
"inputParams": [
{
"paramName": "customerId",
"fillType": "ai_fill",
"position": 1,
"question": "What is the customer ID?",
"linkParams": {
"toolId": "<string>",
"toolFunctionName": "<string>",
"outputParam": "<string>",
"outputId": "<string>"
},
"linkParamOutputId": "<string>",
"paramDescription": "The unique identifier for the customer record.",
"paramTip": "Enter the 8-digit customer ID from their account.",
"staticValue": "default_value",
"required": true,
"dataType": "string",
"isArray": false,
"typeOptions": {},
"outputExample": "CUST-12345678",
"reloadProps": false,
"remoteOptions": false,
"options": [
{
"label": "<string>",
"value": "<string>"
}
]
}
],
"isMemoryTool": true,
"memoryLookupInstruction": "<string>",
"outputParams": [
{
"position": 123,
"paramName": "<string>",
"paramDescription": "<string>",
"id": "<string>",
"agentToolConfigurationId": "<string>",
"dataType": "string",
"isArray": true,
"typeOptions": {},
"parentId": "<string>",
"paramPath": "<string>",
"outputExample": "<string>"
}
],
"isBatchExecutionEnabled": true,
"isCodeExecutionEnabled": true,
"description": "<string>",
"workspaceId": "<string>",
"userId": "<string>",
"agentId": "<string>",
"httpMethod": "post",
"url": "<string>",
"isAvailableToWorkspace": true,
"preferredModel": "<string>",
"shortDescription": "<string>",
"isSharable": true,
"systemIntegrationIdentifier": "<string>",
"apiKeyType": "<string>",
"parameter": "<string>",
"queryParams": [
{
"key": "<string>",
"parameterHint": "<string>",
"required": true,
"type": "<string>"
}
],
"bodyParams": [
{
"key": "<string>",
"parameterHint": "<string>",
"type": "<string>",
"required": true
}
],
"urlParams": [
{
"key": "<string>",
"parameterHint": "<string>",
"required": true,
"type": "<string>"
}
],
"deletedAt": "2023-11-07T05:31:56Z",
"toolConfigurations": "<array>",
"questions": [
{
"id": "<string>",
"question": "<string>",
"keywordInPrompt": "<string>"
}
],
"embedding": "<string>",
"integration": "<unknown>",
"toolConfiguration": "<unknown>"
}
],
"name": "<string>",
"description": "<string>",
"systemIntegrationIdentifier": "<string>",
"integrationCategoryId": "<string>",
"iconSrc": "<string>",
"userId": "<string>",
"workspaceId": "<string>",
"privacyPolicyUrl": "<string>",
"shortDescription": "<string>",
"longDescription": "<string>",
"systemIntegrationProvider": "<string>",
"customAuthParameters": {},
"category": "<string>",
"authenticationMeta": {
"clientId": "<string>",
"clientSecret": "<string>",
"authorizationUrl": "<string>",
"accessTokenUrl": "<string>",
"refreshTokenUrl": "<string>",
"scopes": [
"<string>"
],
"apiKeyType": "default",
"grantType": "client_credentials",
"parameter": "<string>",
"clientAuthentication": "headers",
"customOAuthUrl": "<string>"
},
"syncModels": {},
"isPublished": true,
"attributes": {},
"status": "<string>",
"customHeaders": {},
"authType": "<string>"
},
"toolConfiguration": "<unknown>"
},
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"integrationProviderId": "provider-123e4567-e89b-12d3-a456-426614174000",
"outputParamsData": [
{
"position": 123,
"paramName": "<string>",
"paramDescription": "<string>",
"id": "<string>",
"agentToolConfigurationId": "<string>",
"dataType": "string",
"isArray": true,
"typeOptions": {},
"parentId": "<string>",
"paramPath": "<string>",
"outputExample": "<string>"
}
],
"inputParamsData": [
{
"paramName": "customerId",
"fillType": "ai_fill",
"position": 1,
"question": "What is the customer ID?",
"linkParams": {
"toolId": "<string>",
"toolFunctionName": "<string>",
"outputParam": "<string>",
"outputId": "<string>"
},
"linkParamOutputId": "<string>",
"paramDescription": "The unique identifier for the customer record.",
"paramTip": "Enter the 8-digit customer ID from their account.",
"staticValue": "default_value",
"required": true,
"dataType": "string",
"isArray": false,
"typeOptions": {},
"outputExample": "CUST-12345678",
"reloadProps": false,
"remoteOptions": false,
"options": [
{
"label": "<string>",
"value": "<string>"
}
]
}
],
"requiresConsent": false,
"isBackgroundTool": false,
"isMemoryTool": false,
"isBatchExecutionEnabled": false,
"isCodeExecutionEnabled": false,
"accuracyScore": 0.95,
"memoryLookupInstruction": "Retrieve customer records matching the provided email address.",
"fallbackModels": "DEEP_SEEK,BEDROCK_CLAUDE_3_7_SONNET,BEDROCK_CLAUDE_OPUS_4_5",
"dynamicPropsId": "<string>"
},
"objective": "<string>",
"customId": "<string>",
"isExitNode": true,
"isEntryNode": true,
"agentGraphId": "<string>",
"onError": "CONTINUE",
"isEvaluationEnabled": true,
"autoRetryWhenAccuracyLessThan": 123,
"autoRetryLimitWhenAccuracyIsLow": 123,
"enableAutoRetryWhenAccuracyIsLow": true,
"enableAutoRetryWhenFailure": true,
"autoRetryCountWhenFailure": 123,
"autoRetryWaitTimeWhenFailureInMs": 123,
"isAttachmentDataPulledIn": true,
"saveAsVersion": true,
"isEdited": true,
"isActiveNodeVersion": true,
"autoRetryDescription": "<string>",
"enableAutoRetryDescription": true,
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"agentToolConfigurationId": "<string>",
"xCoordinate": 123,
"yCoordinate": 123,
"userId": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Node details retrieved successfully
Show child attributes
CONTINUE, STOP